<?php



class TblcategoryMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblcategoryMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblcategoryPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblcategoryPeer::TABLE_NAME);
		$tMap->setPhpName('Tblcategory');
		$tMap->setClassname('Tblcategory');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CG_ID', 'CgId', 'INTEGER', true, null);

		$tMap->addColumn('CG_NAME', 'CgName', 'VARCHAR', true, 30);

		$tMap->addColumn('CG_PARENTID', 'CgParentid', 'INTEGER', false, null);

		$tMap->addColumn('CG_CHILD', 'CgChild', 'VARCHAR', false, 255);

		$tMap->addColumn('CG_FAMILY', 'CgFamily', 'VARCHAR', false, 255);

		$tMap->addColumn('CG_DESC', 'CgDesc', 'VARCHAR', false, 255);

		$tMap->addColumn('CG_VISITED', 'CgVisited', 'INTEGER', true, null);

		$tMap->addColumn('CG_IMAGE', 'CgImage', 'VARCHAR', false, 255);

		$tMap->addColumn('CG_PATH', 'CgPath', 'VARCHAR', false, 255);

		$tMap->addColumn('CG_PUBLIC', 'CgPublic', 'INTEGER', false, null);

		$tMap->addColumn('CG_SORT', 'CgSort', 'INTEGER', false, null);

	} 
} 